Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.interactive.annotation
Class PDAnnotationLine

    java.lang.Object
      org.pdfbox.pdmodel.interactive.annotation.PDAnnotation
          org.pdfbox.pdmodel.interactive.annotation.PDAnnotationMarkup
              org.pdfbox.pdmodel.interactive.annotation.PDAnnotationLine

All Implemented Interfaces:
  COSObjectable

public class PDAnnotationLine
extends PDAnnotationMarkup

This is the class that represents a line annotation. Introduced in PDF 1.3 specification

Version:
  $Revision: 1.1 $
Author:
  Paul King

Field Summary
`static String` | `IT_LINE_ARROW` Constant for annotation intent of Arrow.
`static String` | `IT_LINE_DIMENSION` Constant for annotation intent of a dimension line.
`static String` | `LE_BUTT` Constant for a butt line ending.
`static String` | `LE_CIRCLE` Constant for a circle line ending.
`static String` | `LE_CLOSED_ARROW` Constant for a closed arrow line ending.
`static String` | `LE_DIAMOND` Constant for a diamond line ending.
`static String` | `LE_NONE` Constant for no line ending.
`static String` | `LE_OPEN_ARROW` Constant for a open arrow line ending.
`static String` | `LE_R_CLOSED_ARROW` Constant for a revered closed arrow line ending.
`static String` | `LE_R_OPEN_ARROW` Constant for a reversed open arrow line ending.
`static String` | `LE_SLASH` Constant for a slash line ending.
`static String` | `LE_SQUARE` Constant for a square line ending.
`static String` | `SUB_TYPE` The type of annotation.

Fields inherited from class org.pdfbox.pdmodel.interactive.annotation.PDAnnotationMarkup
`RT_GROUP, RT_REPLY`

Fields inherited from class org.pdfbox.pdmodel.interactive.annotation.PDAnnotation
`FLAG_HIDDEN, FLAG_INVISIBLE, FLAG_LOCKED, FLAG_NO_ROTATE, FLAG_NO_VIEW, FLAG_NO_ZOOM, FLAG_PRINTED, FLAG_READ_ONLY, FLAG_TOGGLE_NO_VIEW`

Constructor Summary
`PDAnnotationLine()` Constructor.
`PDAnnotationLine(COSDictionary field)` Creates a Line annotation from a COSDictionary, expected to be a correct object definition.

Method Summary
`boolean` | `getCaption()` This will retrieve if the contents are shown as a caption or not.
`String` | `getEndPointEndingStyle()` This will retrieve the line ending style for the end point, possible values shown in the LE_ constants section.
`PDGamma` | `getInteriorColour()` This will retrieve the interior colour of the line endings defined in the LE entry.
`float[]` | `getLine()` This will retrieve the start and end coordinates of the line (or leader line if LL entry is set).
`String` | `getStartPointEndingStyle()` This will retrieve the line ending style for the start point, possible values shown in the LE_ constants section.
`void` | `setCaption(boolean cap)` This will set if the contents are shown as a caption to the line.
`void` | `setEndPointEndingStyle(String style)` This will set the line ending style for the end point, see the LE_ constants for the possible values.
`void` | `setInteriorColour(PDGamma ic)` This will set interior colour of the line endings defined in the LE entry.
`void` | `setLine(float[] l)` This will set start and end coordinates of the line (or leader line if LL entry is set).
`void` | `setStartPointEndingStyle(String style)` This will set the line ending style for the start point, see the LE_ constants for the possible values.

Methods inherited from class org.pdfbox.pdmodel.interactive.annotation.PDAnnotationMarkup
`getConstantOpacity, getCreationDate, getInReplyTo, getIntent, getPopup, getReplyType, getRichContents, getSubject, getTitlePopup, setConstantOpacity, setCreationDate, setInReplyTo, setIntent, setPopup, setReplyType, setRichContents, setSubject, setTitlePopup`

Methods inherited from class org.pdfbox.pdmodel.interactive.annotation.PDAnnotation
`createAnnotation, getAction, getActions, getAnnotationFlags, getAnnotationName, getAppearance, getAppearanceStream, getBoderStyle, getColour, getContents, getCOSObject, getDictionary, getModifiedDate, getRectangle, isHidden, isInvisible, isLocked, isNoRotate, isNoView, isNoZoom, isPrinted, isReadOnly, isToggleNoView, setAction, setActions, setAnnotationFlags, setAnnotationName, setAppearance, setAppearanceStream, setBorderStyle, setColour, setContents, setHidden, setInvisible, setLocked, setModifiedDate, setNoRotate, setNoView, setNoZoom, setPrinted, setReadOnly, setRectangle, setToggleNoView`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IT_LINE_ARROW

    public static final String IT_LINE_ARROW

  Constant for annotation intent of Arrow.

  See Also:
    Constant Field Values

### IT_LINE_DIMENSION

    public static final String IT_LINE_DIMENSION

  Constant for annotation intent of a dimension line.

  See Also:
    Constant Field Values

### LE_SQUARE

    public static final String LE_SQUARE

  Constant for a square line ending.

  See Also:
    Constant Field Values

### LE_CIRCLE

    public static final String LE_CIRCLE

  Constant for a circle line ending.

  See Also:
    Constant Field Values

### LE_DIAMOND

    public static final String LE_DIAMOND

  Constant for a diamond line ending.

  See Also:
    Constant Field Values

### LE_OPEN_ARROW

    public static final String LE_OPEN_ARROW

  Constant for a open arrow line ending.

  See Also:
    Constant Field Values

### LE_CLOSED_ARROW

    public static final String LE_CLOSED_ARROW

  Constant for a closed arrow line ending.

  See Also:
    Constant Field Values

### LE_NONE

    public static final String LE_NONE

  Constant for no line ending.

  See Also:
    Constant Field Values

### LE_BUTT

    public static final String LE_BUTT

  Constant for a butt line ending.

  See Also:
    Constant Field Values

### LE_R_OPEN_ARROW

    public static final String LE_R_OPEN_ARROW

  Constant for a reversed open arrow line ending.

  See Also:
    Constant Field Values

### LE_R_CLOSED_ARROW

    public static final String LE_R_CLOSED_ARROW

  Constant for a revered closed arrow line ending.

  See Also:
    Constant Field Values

### LE_SLASH

    public static final String LE_SLASH

  Constant for a slash line ending.

  See Also:
    Constant Field Values

### SUB_TYPE

    public static final String SUB_TYPE

  The type of annotation.

  See Also:
    Constant Field Values

Constructor Detail

### PDAnnotationLine

    public PDAnnotationLine()

  Constructor.

### PDAnnotationLine

    public PDAnnotationLine(COSDictionary field)

  Creates a Line annotation from a COSDictionary, expected to be a correct object definition.

Parameters:
  `field` - the PDF objet to represent as a field.

Method Detail

### setLine

    public void setLine(float[] l)

  This will set start and end coordinates of the line (or leader line if LL entry is set).

  Parameters:
    `l` - array of 4 floats [x1, y1, x2, y2] line start and end points in default user space.

### getLine

    public float[] getLine()

  This will retrieve the start and end coordinates of the line (or leader line if LL entry is set).

  Returns:
    array of floats [x1, y1, x2, y2] line start and end points in default user space.

### setStartPointEndingStyle

    public void setStartPointEndingStyle(String style)

  This will set the line ending style for the start point, see the LE_ constants for the possible values.

  Parameters:
    `style` - The new style.

### getStartPointEndingStyle

    public String getStartPointEndingStyle()

  This will retrieve the line ending style for the start point, possible values shown in the LE_ constants section.

  Returns:
    The ending style for the start point.

### setEndPointEndingStyle

    public void setEndPointEndingStyle(String style)

  This will set the line ending style for the end point, see the LE_ constants for the possible values.

  Parameters:
    `style` - The new style.

### getEndPointEndingStyle

    public String getEndPointEndingStyle()

  This will retrieve the line ending style for the end point, possible values shown in the LE_ constants section.

  Returns:
    The ending style for the end point.

### setInteriorColour

    public void setInteriorColour(PDGamma ic)

  This will set interior colour of the line endings defined in the LE entry. Colour is in DeviceRGB colourspace.

  Parameters:
    `ic` - colour in the DeviceRGB colourspace.

### getInteriorColour

    public PDGamma getInteriorColour()

  This will retrieve the interior colour of the line endings defined in the LE entry. Colour is in DeviceRGB colourspace.

  Returns:
    PDGamma object representing the colour.

### setCaption

    public void setCaption(boolean cap)

  This will set if the contents are shown as a caption to the line.

  Parameters:
    `cap` - Boolean value.

### getCaption

    public boolean getCaption()

  This will retrieve if the contents are shown as a caption or not.

  Returns:
    boolean if the content is shown as a caption.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD